Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt.oracle
Class TExceptionHandler

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.stmt.oracle.TExceptionHandler

All Implemented Interfaces:
  Visitable

    public class TExceptionHandler

extends TParseTreeNode

An exception handler processes a raised exception.

Constructor Summary
`TExceptionHandler()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`void` | `doParse(TCustomSqlStatement psql, ESqlClause plocation)` analyze this node
`TObjectNameList` | `getExceptionNames()` A list of exception name which either a predefined exception (such as ZERO_DIVIDE), or a user-defined exception previously declared within the current scope.
`TStatementList` | `getStatements()` These associated statements are executed when any exception in the `getExceptionNames()` list is raised.
`TStatementListSqlNode` | `getStmts()`
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TExceptionHandler

    public TExceptionHandler()

Method Detail

### getExceptionNames

    public TObjectNameList getExceptionNames()

  A list of exception name which either a predefined exception (such as ZERO_DIVIDE), or a user-defined exception previously declared within the current scope.

  Returns:

### getStmts

    public TStatementListSqlNode getStmts()

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

### doParse

    public void doParse(TCustomSqlStatement psql,
                        ESqlClause plocation)

  Description copied from class: `TParseTreeNode`
  analyze this node

  Overrides:
    `doParse` in class `TParseTreeNode`

### getStatements

    public TStatementList getStatements()

  These associated statements are executed when any exception in the `getExceptionNames()` list is raised. .

  Returns:

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD